---
title: List Account Permission Groups
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[IAM](https://developers.cloudflare.com/api/go/resources/iam)

[Permission Groups](https://developers.cloudflare.com/api/go/resources/iam/subresources/permission_groups)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Account Permission Groups

client.IAM.PermissionGroups.List(ctx, params) (\*V4PagePaginationArray\[[PermissionGroupListResponse](<https://developers.cloudflare.com/api/go/resources/iam#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/iam/permission\_groups

List all the permissions groups for an account.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Trust and Safety Write``Trust and Safety Read``DNS View Write``DNS View Read``SCIM Provisioning``Load Balancers Account Write``Load Balancers Account Read``Zero Trust: PII Read``DDoS Botnet Feed Write``DDoS Botnet Feed Read``Workers R2 Storage Write``Workers R2 Storage Read``DDoS Protection Write``DDoS Protection Read``Workers Tail Read``Workers KV Storage Write``Workers KV Storage Read``Workers Scripts Write``Workers Scripts Read``Load Balancing: Monitors and Pools Write``Load Balancing: Monitors and Pools Read``Account Firewall Access Rules Write``Account Firewall Access Rules Read``DNS Firewall Write``DNS Firewall Read``Billing Write``Billing Read``Account Settings Write``Account Settings Read`

##### ParametersExpand Collapse

<details>

<summary>

params PermissionGroupListParams

</summary>

AccountID param.Field\[string]

Path param: Account identifier tag.

maxLength32

minLength32

<a href="#(resource)%20iam.permission_groups%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

ID param.Field\[string]Optional

Query param: ID of the permission group to be fetched.

maxLength32

minLength32

<a href="#(resource)%20iam.permission_groups%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20id">Link to this property</a>

Label param.Field\[string]Optional

Query param: Label of the permission group to be fetched.

<a href="#(resource)%20iam.permission_groups%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20label">Link to this property</a>

Name param.Field\[string]Optional

Query param: Name of the permission group to be fetched.

<a href="#(resource)%20iam.permission_groups%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

Page param.Field\[float64]Optional

Query param: Page number of paginated results.

minimum1

<a href="#(resource)%20iam.permission_groups%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20page">Link to this property</a>

PerPage param.Field\[float64]Optional

Query param: Maximum number of results per page.

maximum50

minimum5

<a href="#(resource)%20iam.permission_groups%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20per_page">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.permission_groups%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type PermissionGroupListResponse struct{…}

A named group of permissions that map to a group of operations against resources.

</summary>

ID string

Identifier of the permission group.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

Meta PermissionGroupListResponseMetaOptional

Attributes associated to the permission group.

</summary>

Category stringOptional

A category used to group permission groups.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20category">Link to this property</a>

Deprecated stringOptional

Indicates whether the permission group is deprecated.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20deprecated">Link to this property</a>

Description stringOptional

Additional information about the permission group.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20description">Link to this property</a>

Editable stringOptional

Indicates whether the permission group can be edited.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20editable">Link to this property</a>

EolAt TimeOptional

The planned end-of-life date and time, when provided.

formatdate-time

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20eol_at">Link to this property</a>

Label stringOptional

A label identifying the permission group.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20label">Link to this property</a>

Scopes stringOptional

The scope associated with the permission group.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20scopes">Link to this property</a>

Visibility stringOptional

Indicates the permission group’s availability or visibility.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)%20%3E%20(property)%20meta%20%3E%20(property)%20visibility">Link to this property</a>

</details>

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)%20%3E%20(property)%20meta">Link to this property</a>

Name stringOptional

Name of the permission group.

<a href="#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20iam.permission_groups%20%3E%20(model)%20PermissionGroupListResponse%20%3E%20(schema)>)

### List Account Permission Groups

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/iam"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.IAM.PermissionGroups.List(context.TODO(), iam.PermissionGroupListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "c8fed203ed3043cba015a93ad1616f1f",
      "meta": {
        "category": "category",
        "deprecated": "deprecated",
        "description": "description",
        "editable": "editable",
        "eol_at": "2019-12-27T18:11:19.117Z",
        "label": "load_balancer_admin",
        "scopes": "com.cloudflare.api.account",
        "visibility": "visibility"
      },
      "name": "Zone Read"
    },
    {
      "id": "82e64a83756745bbbb1c9c2701bf816b",
      "meta": {
        "category": "category",
        "deprecated": "deprecated",
        "description": "description",
        "editable": "editable",
        "eol_at": "2019-12-27T18:11:19.117Z",
        "label": "fbm_user",
        "scopes": "com.cloudflare.api.account",
        "visibility": "visibility"
      },
      "name": "Magic Network Monitoring"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "c8fed203ed3043cba015a93ad1616f1f",
      "meta": {
        "category": "category",
        "deprecated": "deprecated",
        "description": "description",
        "editable": "editable",
        "eol_at": "2019-12-27T18:11:19.117Z",
        "label": "load_balancer_admin",
        "scopes": "com.cloudflare.api.account",
        "visibility": "visibility"
      },
      "name": "Zone Read"
    },
    {
      "id": "82e64a83756745bbbb1c9c2701bf816b",
      "meta": {
        "category": "category",
        "deprecated": "deprecated",
        "description": "description",
        "editable": "editable",
        "eol_at": "2019-12-27T18:11:19.117Z",
        "label": "fbm_user",
        "scopes": "com.cloudflare.api.account",
        "visibility": "visibility"
      },
      "name": "Magic Network Monitoring"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
```